Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 25 Oct 2014, 10:52
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
FBReader: An E-Book reader
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 5 of 5 Posts_count   Goto page: Previous 1, 2, 3, 4, 5
Author Message
sindi

Joined: 16 Aug 2009
Posts: 395

PostPosted: Sun 07 Oct 2012, 18:08    Post_subject: FBReader 0.12
Sub_title: works with pulp 0.1 (based on puppy 4.1.2)
 

The first pet posted, with liblinebreak added to /usr/lib/, reads a 2009 ePub from Gutenberg.

I unpackaged it and ran it from the directory it made, rather than installing it.

The 0.99 version, with libgio pet added, does not display a book. Something flashes briefly onscreen then no book appears. Why? Also preferences does not display much - I can't set the directories to look in, for instance.

ldd /usr/bin/FBreader shows that it has all required libraries.

The older FBreader is not a dynamic executable but it works fine including images.

I have not tried any intermediate versions. Is there some reason not to use 0.12?
Back to top
View user's profile Send_private_message 
technosaurus


Joined: 18 May 2008
Posts: 4353

PostPosted: Sun 07 Oct 2012, 18:21    Post_subject:  

99 is reading epubs fine, maybe you can be more specific
_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send_private_message 
muggins

Joined: 20 Jan 2006
Posts: 6689
Location: lisbon

PostPosted: Sun 07 Oct 2012, 19:16    Post_subject:  

I think 0.99 series is the development version.

The binary, in the pet on the first page, is dynamic, it's just that it's been compressed with upx. If you download upx, then run:

Code:
upx -d FBReader
ldd FBReader


you'll see the dependencies.
Back to top
View user's profile Send_private_message 
sindi

Joined: 16 Aug 2009
Posts: 395

PostPosted: Sun 07 Oct 2012, 19:36    Post_subject: 0.99 not working with pulp 0.1 (puppy 4.1.2)  

The earlier version reads epub, fb2, etc., the later one displays a blank page after flashing something onscreen. Have you tried it with puppy 4.1.2 kernel 2.61.7? I tried both versions unpacked into their own subdirectories in ./download. Pulp uses 10MB to load so would make a rather old laptop into an ebook reader. FBReader with a book loaded uses only about 25MB.

Installing 0.99 did not help.

Version 0.99 cannot read epub but it CAN read HTML, fb2, and mobi.
Back to top
View user's profile Send_private_message 
sindi

Joined: 16 Aug 2009
Posts: 395

PostPosted: Sun 07 Oct 2012, 19:46    Post_subject: 0.99 libgio problem  

If I run FBReader from an rxvt I get
the error message symbol lookup error undefined symbol glib_gettext
when I try to display a mobi file or an epub file.
0.12 works CLI with both. Not so sure
that saved .mobi works with 0.99
but I think I viewed with Opera.
What do I do about glib? fb2 definitely
works with both versions, and HTML, from the commandline.
Back to top
View user's profile Send_private_message 
muggins

Joined: 20 Jan 2006
Posts: 6689
Location: lisbon

PostPosted: Sun 07 Oct 2012, 19:47    Post_subject:  

Can you provide a link to an epub, with graphics, for me to try?

I did try one, (Culpeper's herbal), and it displayed fine. (On lupu528...not sure if p412 likes my netbooks graphics?)
Back to top
View user's profile Send_private_message 
muggins

Joined: 20 Jan 2006
Posts: 6689
Location: lisbon

PostPosted: Sun 07 Oct 2012, 19:50    Post_subject:  

The 0.99 version is currently Qt4 based only...no gtk2 at present. So the error you're seeing is probably a qt4 compatibility problem.

Edit No, I'm wrong. Can't see any qt4 dependency in the 0.99 pet...another mystery?

Edited_time_total
Back to top
View user's profile Send_private_message 
sindi

Joined: 16 Aug 2009
Posts: 395

PostPosted: Sun 07 Oct 2012, 19:53    Post_subject: FBReader 0.12.10 works
Sub_title: pulp (puppy 4.1.2)
 

Like 12.8, unlike 99, 12.10
reads epub and other formats.
I found mention that another
version was compiled with
gtk 2.18 and I have 2.0.
Back to top
View user's profile Send_private_message 
sindi

Joined: 16 Aug 2009
Posts: 395

PostPosted: Mon 08 Oct 2012, 12:51    Post_subject: FBReader 0.12.x vs later versions
Sub_title: any good reason to update
 

Is there any good reason not to just use 0.12.10? It does not display tables properly but it read all the formats I gave it from Gutenberg and other free ebooks. Do you plan to compile the latest version (Qt? - your gtk is too new for puppy 4.1.2).
Back to top
View user's profile Send_private_message 
sheldonisaac

Joined: 21 Jun 2009
Posts: 425
Location: Philadelphia, PA

PostPosted: Mon 08 Oct 2012, 15:59    Post_subject: Re: FBReader 0.12.x vs later versions
Sub_title: any good reason to update
 

sindi wrote:
Is there any good reason not to just use 0.12.10? It does not display tables properly but it read all the formats I gave it from Gutenberg and other free ebooks. Do you plan to compile the latest version (Qt? - your gtk is too new for puppy 4.1.2).

Sindi, I recently installed the 0.99.0 version (under Lucid Puppy 5.28-005), and it seems to have preserved my preferences from the 0.12.10 version.

I haven't yet found out the ways in which they differ.

I've just turned on my older computer, which runs Classic Puppy 2.14X.
I'll see whether FBReader runs on it.
Hmmm. It seems to be version 0.99.0 ?!?!

I'll try clicking on fbreader-0.12.10-i386.pet
I see a "WARNING: Package 'fbreader' is already installed!"
I'll go ahead..

SUCCESS!?

Will restart X server.

/usr/bin/FBReader starts version 0.12.10

THe top, where the icons like Library, Add File, etc are located, looks different offhand.

Hm, I see there's a Google Group for FBReader?


Oh, I see brief info at

http://freecode.com/projects/fbreader/releases/347997

about the recent versions.


Sheldon
Back to top
View user's profile Send_private_message 
technosaurus


Joined: 18 May 2008
Posts: 4353

PostPosted: Mon 08 Oct 2012, 21:35    Post_subject:  

fbreader 99 was compiled on a (Wary) system with this:
Code:
pkg-config glib-2.0 gtk+-2.0 --modversion
2.28.8
2.24.8

if your versions are lower you may need to update glib and/or gtk (but most likely glib)
Luci would fall into that category

_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send_private_message 
muggins

Joined: 20 Jan 2006
Posts: 6689
Location: lisbon

PostPosted: Sat 20 Oct 2012, 08:10    Post_subject:  

Just thought I'd post links to two mozilla based epub readers:

http://linux.softpedia.com/get/Internet/Firefox-Extensions/EPUBReader-52425.shtml
http://linux.softpedia.com/get/Internet/Firefox-Extensions/Lucifox-Firefox-77753.shtml

And a java base epub to pdf converter:

http://linux.softpedia.com/get/Printing/epub2pdf-54373.shtml
Back to top
View user's profile Send_private_message 
snayak

Joined: 14 Sep 2011
Posts: 231

PostPosted: Mon 19 Nov 2012, 03:51    Post_subject:  

can it open a chm file?

it is written that fbreader supports chm!

I failed. Sad

how to open it?

_________________
Machine: Wary 530, AMD Athlon 2000+, ASUS A7N266-VM board, 512MB DDR RAM, 40GB HDD, 52xCDRW, PS/2 Mouse/Keyboard, USB 2.0.
Home: http://www.mathmeth.com/sn/
Blog: http://srinivas-nayak.blogspot.com/
Back to top
View user's profile Send_private_message 
jamesbond

Joined: 26 Feb 2007
Posts: 2230
Location: The Blue Marble

PostPosted: Mon 19 Nov 2012, 04:09    Post_subject:  

snayak wrote:
can it open a chm file?

it is written that fbreader supports chm!

I failed. Sad

how to open it?

FBreader doesn't always render chm faithfully (it is not a web browser). Use this instead: https://addons.mozilla.org/en-us/firefox/addon/chmfox/.

_________________
Fatdog64, Slacko and Puppeee user. Puppy user since 2.13.
Contributed Fatdog64 packages thread
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 5 of 5 Posts_count   Goto page: Previous 1, 2, 3, 4, 5
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0767s ][ Queries: 13 (0.0076s) ][ GZIP on ]